ApplicationConfigurationControllerGetLogFilterForScope Method |
POST /ApplicationConfiguration/GetLogFilterForScope/
Get the log filter values for the current scope.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("GetLogFilterForScope")]
public IActionResult GetLogFilterForScope(
[FromBodyAttribute] ConfigValueOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("GetLogFilterForScope")>
Public Function GetLogFilterForScope (
<FromBodyAttribute> options As ConfigValueOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"GetLogFilterForScope")]
IActionResult^ GetLogFilterForScope(
[FromBodyAttribute] ConfigValueOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("GetLogFilterForScope")>]
member GetLogFilterForScope :
[<FromBodyAttribute>] options : ConfigValueOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsConfigValueOptions
An object that carries all needed information about the setting to retrieve. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
IActionResultA
AppSettingValueData object containing the un-serialized log filter or a status code and error message indicating the problem.
See Also